FragmentationInterceptor.FragCollection (Apache Tomcat 9.0.120 API Documentation)
Description: declaration: package: org.apache.catalina.tribes.group.interceptors, class: FragmentationInterceptor, class: FragCollection

# Class FragmentationInterceptor.FragCollection

java.lang.Object
org.apache.catalina.tribes.group.interceptors.FragmentationInterceptor.FragCollection

Enclosing class:
  `FragmentationInterceptor`

public static class FragmentationInterceptor.FragCollection extends Object
Collection that holds the fragments of a message for reassembly.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FragCollection(ChannelMessage msg)`
  Creates a new fragment collection for the given message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addMessage(ChannelMessage msg)`
  Adds a fragment message to this collection.
  `ChannelMessage`
  `assemble()`
  Assembles all fragments into a single complete message.
  `boolean`
  `complete()`
  Checks if all fragments have been received.
  `boolean`
  `expired(long expire)`
  Checks if this fragment collection has expired.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FragCollection

    public FragCollection(ChannelMessage msg)
    Creates a new fragment collection for the given message.
    Parameters:
      `msg` - The channel message containing fragment metadata

- ## Method Details

  - ### addMessage

    public void addMessage(ChannelMessage msg)
    Adds a fragment message to this collection.
    Parameters:
      `msg` - The fragment message to add

  - ### complete

    public boolean complete()
    Checks if all fragments have been received.
    Returns:
      `true` if all fragments are present

  - ### assemble

    public ChannelMessage assemble()
    Assembles all fragments into a single complete message.
    Returns:
      The assembled channel message
    Throws:
      `IllegalStateException` - if not all fragments have been received

  - ### expired

    public boolean expired(long expire)
    Checks if this fragment collection has expired.
    Parameters:
      `expire` - The expiration time in milliseconds
    Returns:
      `true` if the collection has expired